## xmlstarlet 0.9.3

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Process this file with automake to produce Makefile.in


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xmlstarlet
pkglibdir = $(libdir)/xmlstarlet
pkgincludedir = $(includedir)/xmlstarlet

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
CC = gcc
CFLAGS = -Wall -g -pedantic
CPPFLAGS = 
EXTRA_LIBS = 
HAVE_LIB = @HAVE_LIB@
LDFLAGS = 
LIB = @LIB@
LIBICONV_CFLAGS = -I/usr/include
LIBICONV_LIBS = -L/usr/lib
LIBXML_CFLAGS = -I/usr/include/libxml2
LIBXML_LIBS = /usr/lib/libxml2.a -lz -lm -lpthread
LIBXSLT_CFLAGS = -I/usr/include/libxslt -I/usr/include/libexslt
LIBXSLT_LIBS = /usr/lib/libxslt.a /usr/lib/libexslt.a -lz -lm -lpthread
LTLIB = @LTLIB@
MAINT = #
MAKEINFO = makeinfo
PACKAGE = xmlstarlet
RELDATE = Sun Aug 22 2004
VERSION = 0.9.3
WIN32_EXTRA_LDFLAGS = 
WIN32_EXTRA_LIBADD = 
WITH_TRIO = 0

man_MANS = xmlstarlet.1

EXTRA_DIST = xmlstarlet.txt *.1
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu doc/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-man
uninstall: uninstall-am
all-am: Makefile $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: install-man1 uninstall-man1 install-man uninstall-man tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


all: $(man_MANS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## xmlstarlet 1.0.0

=== doc/Makefile ===
--- 
+++ 
@@ -71,15 +71,15 @@
 LIBICONV_CFLAGS = -I/usr/include
 LIBICONV_LIBS = -L/usr/lib
 LIBXML_CFLAGS = -I/usr/include/libxml2
-LIBXML_LIBS = /usr/lib/libxml2.a -lz -lm -lpthread
+LIBXML_LIBS = /usr/lib/libxml2.a -lz -lm -lpthread -ldl
 LIBXSLT_CFLAGS = -I/usr/include/libxslt -I/usr/include/libexslt
 LIBXSLT_LIBS = /usr/lib/libxslt.a /usr/lib/libexslt.a -lz -lm -lpthread
 LTLIB = @LTLIB@
 MAINT = #
 MAKEINFO = makeinfo
 PACKAGE = xmlstarlet
-RELDATE = Sun Aug 22 2004
-VERSION = 0.9.3
+RELDATE = Thu Jan 27 2005
+VERSION = 1.0.0
 WIN32_EXTRA_LDFLAGS = 
 WIN32_EXTRA_LIBADD = 
 WITH_TRIO = 0

## xmlstarlet 1.0.1

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 srcdir = .
 top_srcdir = ..
-prefix = /usr
+prefix = /usr/local
 exec_prefix = ${prefix}
 
 bindir = ${exec_prefix}/bin
@@ -78,8 +78,8 @@
 MAINT = #
 MAKEINFO = makeinfo
 PACKAGE = xmlstarlet
-RELDATE = Thu Jan 27 2005
-VERSION = 1.0.0
+RELDATE = Sun Mar 13 2005
+VERSION = 1.0.1
 WIN32_EXTRA_LDFLAGS = 
 WIN32_EXTRA_LIBADD = 
 WITH_TRIO = 0

## xmlstarlet 1.0.2

=== debian/changelog ===
xmlstarlet (1.0.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release. Includes prevention of -N
    options getting dropped for command-line 
    (Closes: #540842) (LP: #209982)
  * Migrate to 3.0 (quilt) for upstream changes.
  * Build-depend on autotools-dev and dh-autoreconf to update the
    autotools information. Replaces outdated config.{sub,guess}
    (Closes: #535723)

 -- Neil Williams <codehelp@debian.org>  Sun, 20 Jun 2010 20:48:59 +0100

xmlstarlet (1.0.1-2) unstable; urgency=low

  * Add missing build-depends created by one of the applied patches.  D'oh!
    (closes: #369704, #369722)

 -- Alex Mauer <hawke@hawkesnest.net>  Wed, 31 May 2006 19:14:16 -0500

xmlstarlet (1.0.1-1) unstable; urgency=low

  * New upstream release (closes: #367855)
  * Added examples (closes: #312307) and graphics for the documentation
    (closes: #312308)
  * Binary name is now xmlstarlet on all arches, not just i386 (closes:
    #312932)

 -- Alex Mauer <hawke@hawkesnest.net>  Thu, 18 May 2006 11:56:07 -0500

xmlstarlet (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Alex Mauer <hawke@hawkesnest.net>  Tue,  8 Feb 2005 10:22:07 -0600

xmlstarlet (0.9.3-5) unstable; urgency=low

  * Added graphics for the html docs to the doc/callouts directory

 -- Alex Mauer <hawke@hawkesnest.net>  Sun,  2 Jan 2005 20:56:17 -0600

xmlstarlet (0.9.3-4) unstable; urgency=low

  * applied patch for hppa systems (closes: #283039)

 -- Alex Mauer <hawke@hawkesnest.net>  Mon, 27 Dec 2004 11:55:45 -0600

xmlstarlet (0.9.3-3) unstable; urgency=low

  * Fixed the description so it's formatted better (closes: #281132)
  * Actually moved docs into doc subdir, so that it installs even if doc-base
    is installed. (closes: #281137)
  * Dynamically linked so that it takes up 69K instead of ~1.3M (Closes:
    #281684)

 -- Alex Mauer <hawke@hawkesnest.net>  Wed, 17 Nov 2004 14:10:23 -0600

xmlstarlet (0.9.3-2) unstable; urgency=low

  * Fixed debian/watch so uscan can find new versions of xmlstarlet 

 -- Alex Mauer <hawke@hawkesnest.net>  Tue, 12 Oct 2004 15:40:14 -0500

xmlstarlet (0.9.3-1) unstable; urgency=low

  * Initial Release.
  * First package for me!

 -- Alex Mauer <hawke@hawkesnest.net>  Tue, 28 Sep 2004 17:10:28 -0500

=== debian/control ===
Source: xmlstarlet
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5), dh-autoreconf, autotools-dev,
 libxml2-dev, libxslt1-dev (>=1.1.9), pkg-config
Homepage: http://xmlstar.sourceforge.net/
Standards-Version: 3.8.4

Package: xmlstarlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line XML toolkit
 XMLStarlet is a set of command line utilities (tools) which can be used to
 transform, query, validate, and edit XML documents and files using simple set 
 of shell commands in similar way it is done for plain text files using 
 UNIX grep, sed, awk, diff, patch, join, etc commands.
 .
 This set of command line utilities can be used by those who deal with many XML 
 documents on UNIX shell command prompt as well as for automated XML processing 
 with shell scripts.
 .
 The toolkit's feature set includes options to: 
  Check or validate XML files (simple well-formedness check, DTD, XSD, RelaxNG)
  Calculate values of XPath expressions on XML files (such as running sums, etc)
  Search XML files for matches to given XPath expressions
  Apply XSLT stylesheets to XML documents (including EXSLT support, and passing
 parameters to stylesheets)
  Query XML documents (ex. query for value of some elements of attributes, 
 sorting, etc)
  Modify or edit XML documents (ex. delete some elements)
  Format or "beautify" XML documents (as changing indentation, etc)
  Fetch XML documents using http:// or ftp:// URLs
  Browse tree structure of XML documents (in similar way to 'ls' command for 
 directories)
  Include one XML document into another using XInclude
  XML c14n canonicalization
  Escape/unescape special XML characters in input text
  Print directory as XML document
  Convert XML into PYX format (based on ESIS - ISO 8879), and vice versa

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure.in
	dh_testdir
	# Add here commands to configure the package.
	dh_autoreconf
	CFLAGS="$(CFLAGS)" LDFLAGS="-lexslt" ./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	rm -f COPYING
	cp Copyright COPYING

build: build-stamp

build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/xmlstarlet.sgml > xmlstarlet.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(RM) build-stamp config.guess config.sub INSTALL
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) Makefile.in aclocal.m4 configure doc/Makefile.in src/Makefile.in
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs \
		usr/share/doc/xmlstarlet/callouts
	cp -a examples \
		$(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet
	cp -a doc/callouts \
		$(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet
	chmod -R -x \
		$(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet
	# Add here commands to install the package into debian/xmlstarlet.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmlstarlet

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	mv $(CURDIR)/debian/xmlstarlet/usr/bin/xml \
	$(CURDIR)/debian/xmlstarlet/usr/bin/xmlstarlet
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://xmlstar.sourceforge.net/downloads/xmlstarlet-(.*)\.tar\.gz	debian	uupdate

## xmlstarlet 1.0.3

=== doc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Process this file with automake to produce Makefile.in

pkgdatadir = $(datadir)/xmlstarlet
pkgincludedir = $(includedir)/xmlstarlet
pkglibdir = $(libdir)/xmlstarlet
pkglibexecdir = $(libexecdir)/xmlstarlet
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/xstar-check-libs.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run tar
AM_CPPFLAGS = -I/usr/local/include -DLIBXML_STATIC -I/usr/local/include/libxml2
AM_DEFAULT_VERBOSITY = 0
AM_LDFLAGS = 
AUTOCONF = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run autoconf
AUTOHEADER = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run autoheader
AUTOMAKE = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O0 -g3
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDADD = /usr/local/lib/libexslt.a /usr/local/lib/libxslt.a /usr/local/lib/libxml2.a  -lgcrypt -lz -lrt -lm -ldl 
LDFLAGS = 
LIBOBJS = 
LIBS = -lnsl
LIBXML_CONFIG = /usr/local/bin/xml2-config
LIBXSLT_CONFIG = /usr/local/bin/xslt-config
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/npostavs/src/xml/xmlstar/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = xmlstarlet
PACKAGE_BUGREPORT = http://sourceforge.net/projects/xmlstar/support
PACKAGE_STRING = XMLStarlet 1.0.3
PACKAGE_URL = http://xmlstar.sourceforge.net/
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.0.3
abs_builddir = /home/npostavs/src/xml/xmlstar/doc
abs_srcdir = /home/npostavs/src/xml/xmlstar/doc
abs_top_builddir = /home/npostavs/src/xml/xmlstar
abs_top_srcdir = /home/npostavs/src/xml/xmlstar
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/npostavs/src/xml/xmlstar/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = xmlstarlet.1
EXTRA_DIST = xmlstarlet.txt
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list=''; test -n "$(man1dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	test -z "$$files" || { \
	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

=== debian/changelog ===
xmlstarlet (1.0.3-1) unstable; urgency=low

  * Adopt the package. (Closes: #571643) 
  * New upstream release. 
  * Update debhelper compatibility level to 8. No changes required further 
    changing version in debian/compat and debian/control files.
  * Change debian/rules to use dh command.
  * Bump to Standards-Version 3.9.1. No changes required.
  * Add Debian menu entry.
  * Update watch file to version 3.
  * Patch configure.ac to build the package with shared libixml2 and libxslt.
    This patch is based in an upstream commit. 
    See commit number 7e46365a274e1c0e5276423391a46e65b76336e9 
    in upstream repository: http://xmlstar.git.sourceforge.net/
    Hopefully, it will be included in next version.
  * Patch configure.ac version to avoid getting version from git repository. 
  * configure.in file disappeared and therefore the Debian patch applied to it.
  * Delete pkg-config dependency: 
    pkg-config was used in the patch of old configure.in.
  * Fix wrong documentation in --help options. Patch fix.wrong.documentation.
    (Closes: #373167)
  * Add #!/bin/sh line to examples. Patch add.shellscript.mark.patch.
  * Fix spelling error: diplay -> display in src/xml_trans.c. Patch
    fix.spelling.errors.patch.
  * Update information about where was the source downloaded from in
    debian/copyright and removed duplicated information.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sun, 02 Jan 2011 20:49:38 +0100

=== debian/control ===
Source: xmlstarlet
Section: text
Priority: optional
Maintainer: Mònica Ramírez Arceda <monica@probeta.net>
Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev,
 libxml2-dev, libxslt1-dev (>=1.1.9)
Standards-Version: 3.9.1
Homepage: http://xmlstar.sourceforge.net/

Package: xmlstarlet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line XML toolkit
 XMLStarlet is a set of command line utilities (tools) which can be used to
 transform, query, validate, and edit XML documents and files using simple set
 of shell commands in similar way it is done for plain text files using
 UNIX grep, sed, awk, diff, patch, join, etc commands.
 .
 This set of command line utilities can be used by those who deal with many XML
 documents on UNIX shell command prompt as well as for automated XML processing
 with shell scripts.
 .
 The toolkit's feature set includes options to:
  Check or validate XML files (simple well-formedness check, DTD, XSD, RelaxNG)
  Calculate values of XPath expressions on XML files (such as running sums, etc)
  Search XML files for matches to given XPath expressions
  Apply XSLT stylesheets to XML documents (including EXSLT support, and passing
 parameters to stylesheets)
  Query XML documents (ex. query for value of some elements of attributes,
 sorting, etc)
  Modify or edit XML documents (ex. delete some elements)
  Format or "beautify" XML documents (as changing indentation, etc)
  Fetch XML documents using http:// or ftp:// URLs
  Browse tree structure of XML documents (in similar way to 'ls' command for
 directories)
  Include one XML document into another using XInclude
  XML c14n canonicalization
  Escape/unescape special XML characters in input text
  Print directory as XML document
  Convert XML into PYX format (based on ESIS - ISO 8879), and vice versa

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static-libs

# Rename the binary xml -> xmlstarlet
override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/xmlstarlet/usr/bin/xml $(CURDIR)/debian/xmlstarlet/usr/bin/xmlstarlet

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet/examples/xml/xmlstarlet-xsa.xml

## xmlstarlet 1.0.5

=== debian/changelog ===
xmlstarlet (1.0.5-1) unstable; urgency=low

  * New upstream release.
    - Use XSLT_PARSE_OPTIONS, else CDATA nodes can cause corruption. 
      (Closes: #583113)
  * Remove upstream.version.without.git.patch: new release realizes if 
    we are using a git repository or not.
  * Remove fix.spelling.errors.patch: spelling error solved in new
    upstream release.
  * Remove fix.wrong.documentation.patch: in new upstream release 
    usage strings use argv[0] as program name.
  * debian/rules: Make sure version.h exists. After applying clean target, 
    version.h is removed and the next builds fail.
  * Add Vcs-Git, Vcs-Browser fields in debian/control.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Thu, 17 Feb 2011 11:44:34 +0100

xmlstarlet (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - Fix some bugs (Closes: #311505, #539573, #609783, #444215)
  * Update upstream.version.without.git.patch to upgrade to version 1.0.4.
  * Update add.shellscript.mark.patch to add new examples.
  * Delete disable.static.libs.patch. Solved in upstream.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 19 Jan 2011 10:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
  libxml2-dev, libxslt1-dev (>=1.1.9)
 Standards-Version: 3.9.1
 Homepage: http://xmlstar.sourceforge.net/
+Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/xmlstarlet.git
 
 Package: xmlstarlet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static-libs
 
+override_dh_auto_build:
+	make version.h
+	dh_auto_build
+
 # Rename the binary xml -> xmlstarlet
 override_dh_auto_install:
 	dh_auto_install

## xmlstarlet 1.1.0

=== debian/changelog ===
xmlstarlet (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Remove add.shellscript.mark.patch: fixed in upstream.
  * Remove --disable-static-libs configure option in debian/rules: 
    static libs are disabled in upstream by default.
  * Change the way of renaming xml to xmlstarlet in debian/rules.
    Thanks to Vincent Lefevre. (See bug #621755).
  * Fix inconsistency of names (rename xml to xmlstarlet) in man page 
    (fix_inconsistency_man_page.patch). (See bug #621755).
  * Update debian/control: add automake version dependency to avoid build errors
    with older versions. 
    See: https://buildd.debian.org/status/fetch.php?pkg=xmlstarlet&arch=hurd-i386&ver=1.0.6-1&stamp=1300571888
  * Update debian/copyright to DEP-5.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sun, 10 Apr 2011 11:32:53 +0200

xmlstarlet (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Update add.shellscript.mark.patch to add examples/c14n-newlines.
  * debian/rules: Remove override_dh_auto_build. 
    After applying clean target, version.h is regenerated.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Thu, 17 Mar 2011 12:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mònica Ramírez Arceda <monica@probeta.net>
 Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev,
- libxml2-dev, libxslt1-dev (>=1.1.9)
+ libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11)
 Standards-Version: 3.9.1
 Homepage: http://xmlstar.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

# Disable static libs and rename the binary xml -> xmlstarlet
override_dh_auto_configure:
	dh_auto_configure -- --program-transform-name=s/xml$$/xmlstarlet/

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet/examples/xml/xmlstarlet-xsa.xml

## xmlstarlet 1.2.0

=== debian/changelog ===
xmlstarlet (1.2.0-1) unstable; urgency=low

  * New upstream release.
    - Restore input context (lost in version 1.0.3) to error messages. 
      (Closes: #627158)
  * Bump to Standards-Version 3.9.2. No changes required.
  * fix_inconsistency_man_page.patch: update patch header to fix minor spelling.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sun, 05 Jun 2011 20:22:47 +0200

## xmlstarlet 1.2.1

=== debian/changelog ===
xmlstarlet (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix a comment in debian/rules: static libs are disabled by default.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sat, 09 Jul 2011 11:34:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mònica Ramírez Arceda <monica@probeta.net>
 Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev,
  libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://xmlstar.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xmlstarlet.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@ --with autoreconf
 
-# Disable static libs and rename the binary xml -> xmlstarlet
+# Rename the binary xml -> xmlstarlet
 override_dh_auto_configure:
 	dh_auto_configure -- --program-transform-name=s/xml$$/xmlstarlet/

## xmlstarlet 1.3.0

=== debian/changelog ===
xmlstarlet (1.3.0-1) unstable; urgency=low

  * New upstream release.
    - Work around libxml bug that passes bogus data 
      to error handler (Closes: #642523)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Thu, 06 Oct 2011 11:22:27 +0200

## xmlstarlet 1.3.1

=== debian/changelog ===
xmlstarlet (1.3.1-3) unstable; urgency=low

  * Remove debian/menu file: xmlstarlet does not do anything useful if invoked 
    without arguments. (Closes: #673716)

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 23 Jun 2012 17:58:15 +0200

xmlstarlet (1.3.1-2) unstable; urgency=low

  * Update Maintainer field with Debian email.
  * Update compatibility level to 9.
  * debian/rules: Enable security hardening build flags.
  * debian/copyright: update format field and manitainer's email.
  * Bump to Standards-Version 3.9.3. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 01 Apr 2012 16:33:04 +0200

xmlstarlet (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - Substitute external entities. (Closes: #653666)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sat, 21 Jan 2012 19:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: xmlstarlet
 Section: text
 Priority: optional
-Maintainer: Mònica Ramírez Arceda <monica@probeta.net>
-Build-Depends: debhelper (>= 8), dh-autoreconf, autotools-dev,
+Maintainer: Mònica Ramírez Arceda <monica@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
  libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://xmlstar.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xmlstarlet.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Use hardening options to build the package
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf

## xmlstarlet 1.4.2

=== debian/changelog ===
xmlstarlet (1.4.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 14 May 2013 14:26:40 +0200

xmlstarlet (1.4.2-1) experimental; urgency=low

  * New upstream release.
  * Remove patch 10-add-xmlstar-fodoc-style.xsl.patch: it is not needed any
    more, xmlstar-fodoc-style.xsl is now included in upstream tarball.
  * Remove patch 20-automake-needs-pkg-tarname.patch: fixed in new release.
  * debian/rules: exclude test log files generated during build time from 
    examples directory.

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 11 Feb 2013 17:08:46 +0100

xmlstarlet (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Remove patch fix_inconsistency_man_page.patch: it's not needed anymore.
  * debian/docs: remove doc/callouts. This dir doesn't exist anymore.
  * Generate documentation. (Closes: #621755)
    - debian/rules: add --enable-build-docs option to configure to generate 
      documentation.
    - debian/clean: remove upstream documentation to generate documentation 
      again.
    - debian/patches/10-add-xmlstar-fodoc-style.xsl.patch: add 
      xmlstar-fodoc-style.xsl to be able to generate documentation.
  * debian/patches/20-automake-needs-pkg-tarname.patch: Install 
    documentation in /usr/share/doc/xmlstarlet, instead of /usr/share/doc/.
  * Update debian/xmlstarlet.doc-base.
  * Add xsltproc, gawk, docbook-xsl-ns, fop and ghostscript as build 
    dependencies.
  * debian/patches/30-fix-stray-in-program.patch: Force usage2c.awk to use 
    gawk.
  * debian/patches/40-use-debian-docbook-xsl.patch: use docbook stylesheets
    from docbook-xsl-ns package.
  * Bump to Standards-Version 3.9.4. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 25 Oct 2012 11:23:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Mònica Ramírez Arceda <monica@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
- libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11)
-Standards-Version: 3.9.3
+ libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11), xsltproc,
+ gawk, docbook-xsl-ns, fop, ghostscript
+Standards-Version: 3.9.4
 Homepage: http://xmlstar.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xmlstarlet.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,11 @@
 
 # Rename the binary xml -> xmlstarlet
 override_dh_auto_configure:
-	dh_auto_configure -- --program-transform-name=s/xml$$/xmlstarlet/
+	dh_auto_configure -- --program-transform-name=s/xml$$/xmlstarlet/ --enable-build-docs
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod 644 $(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet/examples/xml/xmlstarlet-xsa.xml
+
+override_dh_installexamples:
+	dh_installexamples --exclude=log examples/*

## xmlstarlet 1.5.0

=== debian/changelog ===
xmlstarlet (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/30-fix-stray-in-program.patch: fix usage2c.awk for
    mawk in upstream.
  * Remove debian/patches/50-fix-ftbfs-tests.patch: it is applied upstream.
  * Add debian/patches/50-fix-format-security.patch: fix format string literals.
  * Add debian/patches/60-avoid-silent-rules.patch: don't hide the real compiler
    flags to allow automatic checks for missing (hardening) flags via blhc.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 14 Jul 2013 20:10:29 +0200

xmlstarlet (1.4.2-3) unstable; urgency=low

  * debian/patches/50-fix-ftbfs-tests.patch: move tests environment variables
    to AM_TESTS_ENVIRONMENT to avoid FTBFS. (Closes: #713385)
  * debian/control: use the canonical URI in VCS-* fields.
  * debian/rules: do not install .trs files.

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 25 Jun 2013 21:10:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  gawk, docbook-xsl-ns, fop, ghostscript
 Standards-Version: 3.9.4
 Homepage: http://xmlstar.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/xmlstarlet.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xmlstarlet.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/xmlstarlet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmlstarlet.git
 
 Package: xmlstarlet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	chmod 644 $(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet/examples/xml/xmlstarlet-xsa.xml
 
 override_dh_installexamples:
-	dh_installexamples --exclude=log examples/*
+	dh_installexamples --exclude=log --exclude=trs examples/*

## xmlstarlet 1.6.1

=== debian/changelog ===
xmlstarlet (1.6.1-5) unstable; urgency=medium

  * Add patch to fix FTBFS with libxml 2.14.x (Closes: #1106634)
  * Add myself as maintainer (Closes: #1015848)
  * d/copyright: Replace old FSF address by webpage
  * d/copyright: Fix typo in Upstream-Name
  * d/gbp.conf: Add
  * d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Sat, 16 Aug 2025 00:06:38 +0200

xmlstarlet (1.6.1-4) unstable; urgency=medium

  * QA upload.
  * run wrap-and-sort -astb
  * debian/control: pkg-config => pkgconf
  * debian/control: update Vcs—Git and Vcs-Browser
  * debian/control: mark as Multi-Arch:foreign
  * debian/control: bump Standards-Version (no changes)
  * debian/watch: update to version 4
  * add debian/salsa-ci.yml
  * add debian/source/lintian-overrides

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 19 Feb 2024 07:33:00 +0100

xmlstarlet (1.6.1-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1015848)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 07:10:43 -0300

xmlstarlet (1.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to find the libxml2, libxslt and libexslt libraries
    (Closes: #948791, #949513).
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Sort Build-Depends list.
    - Drop build-dependencies on autotools-dev and dh-autoreconf.
      The autoreconf sequence is enabled by default in debhelper >= 10.
    - Build-Depend on pkg-config.
    - Use debhelper-compat v13 instead of legacy debian/compat.
    - Raise Standards-Version to 4.5.0 from 3.9.8 (no changes needed).
    - Add Rules-Requires-Root: no.
  * debian/copyright: Use secure HTTP protocol in the Format field.
  * debian/rules:
    - Drop '--with autoreconf' with change to debhelper >= 10.
    - Set 0644 permissions on xmlstarlet-pad.xml and xmlstarlet-xsa.xml.
    - Do not install upstream ChangeLog. The file is empty.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 30 May 2020 23:34:58 +1000

xmlstarlet (1.6.1-2) unstable; urgency=medium

  * Bump to Standards-Version 3.9.8. No changes required.
  * Set canonical and secure URIs to Vcs-Git and Vcs-Browser.
  * 70-remove-link-usr-lib.patch: remove -L/usr/lib from the
    build system. (Closes: #722870)
  * 80-fix-unesc-dquot.patch: make unesc handle &quot; and &apos;.
    (Closes: #837122)
  * 90-fix-upstream-version.patch: Do not get upstream version from git
    repository, get it from Debian environment variable. (Closes: #850842)

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 24 Jan 2017 13:14:14 +0100

xmlstarlet (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/40-use-debian-docbook-xsl.patch.
  * Update debian/patches/50-fix-format-security.patch to fix more format
    string literals.
  * Bump to Standards-Version 3.9.5. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 14 Sep 2014 15:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,30 @@
 Source: xmlstarlet
 Section: text
 Priority: optional
-Maintainer: Mònica Ramírez Arceda <monica@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
- libxml2-dev, libxslt1-dev (>=1.1.9), automake (>=1.11), xsltproc,
- gawk, docbook-xsl-ns, fop, ghostscript
-Standards-Version: 3.9.4
+Maintainer: Matthias Geiger <werdahias@debian.org>
+Build-Depends:
+ automake (>=1.11),
+ debhelper-compat (= 13),
+ docbook-xsl-ns,
+ fop,
+ gawk,
+ ghostscript,
+ libxml2-dev,
+ libxslt1-dev (>=1.1.9),
+ pkgconf,
+ xsltproc,
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: http://xmlstar.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xmlstarlet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmlstarlet.git
+Vcs-Git: https://salsa.debian.org/debian/xmlstarlet.git
+Vcs-Browser: https://salsa.debian.org/debian/xmlstarlet
 
 Package: xmlstarlet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Multi-Arch: foreign
 Description: command line XML toolkit
  XMLStarlet is a set of command line utilities (tools) which can be used to
  transform, query, validate, and edit XML documents and files using simple set

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Use hardening options to build the package
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_VERSION_UPSTREAM

%:
	dh $@

# Rename the binary xml -> xmlstarlet
override_dh_auto_configure:
	dh_auto_configure -- --program-transform-name=s/xml$$/xmlstarlet/ --enable-build-docs

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/xmlstarlet/usr/share/doc/xmlstarlet/examples/xml/xmlstarlet*.xml

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_installexamples:
	dh_installexamples --exclude=log --exclude=trs examples/*

=== debian/watch ===
version=4
http://sf.net/xmlstar/xmlstarlet-(.*)\.tar\.gz
